unit BhMsg;

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
//  Behold TV v5.xx Windows messages API                                      //
//                                                                            //
//  Support:                                                                  //
//  http://www.beholder.ru                                                    //
//  mailto:support@beholder.ru                                                //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

interface

{$MINENUMSIZE 4}

uses
  Windows, Messages;

const

  WM_BHCMD            = WM_USER+200;

  WMBH_CHNLN          = WM_USER+201;	//        (LParam = 1..999)
  WMBH_CHNLMODE       = WM_USER+202;	//     (-, --, ---)
  WMBH_CHNLUP         = WM_USER+203;	//    
  WMBH_CHNLDOWN       = WM_USER+204;	//    
  WMBH_CHNLRECALL     = WM_USER+205;	//   
  WMBH_CHNLGETINFO    = WM_USER+206;	//   OSD   

  // Compatible with version 4.70 and higher
  WMBH_CHNL_09        = WM_USER+207;	//     0  9     ,   WMBH_CHNLMODE. (LParam = 0..9)
  // Compatible with version 4.70 and higher

  WMBH_VOLUMEUP       = WM_USER+210;	//   
  WMBH_VOLUMEDOWN     = WM_USER+211;	//   
  WMBH_SELVOLMODE     = WM_USER+212;	//      (Brightness, Contrast, Hue, Saturation, Sharpness, Gain)
  WMBH_MUTE           = WM_USER+213;	//  / 
  WMBH_SETBRITN       = WM_USER+214;	//    (LParam = 0..255)
  WMBH_SETCONTR       = WM_USER+215;	//    (LParam = 0..127)
  WMBH_SETSAT         = WM_USER+216;	//     (LParam = 0..127)
  WMBH_SETHUE         = WM_USER+217;	//     (LParam = -128..127),   PAL/NTSC
  WMBH_SETSHR         = WM_USER+218;	//     (LParam = -8..7)
  WMBH_SETGAIN        = WM_USER+219;	//     (LParam = 0..300)

  WMBH_CHANGESOURCE   = WM_USER+220;	//    TV/FM/CVBS/SVideo
  WMBH_CHANGETVFM     = WM_USER+221;	//    TV/FM
  WMBH_CHANGETV       = WM_USER+222;	//    TV
  WMBH_CHANGEFM       = WM_USER+223;	//    FM
  WMBH_CHANGECVBS     = WM_USER+224;	//    VHS (CVBS)
  WMBH_CHANGESVID     = WM_USER+225;	//    S-VHS (SVideo)
// Compatible with version 5.00 and higher
  WMBH_CHANGEDVB      = WM_USER+226;	//      DVB/Analog
// Compatible with version 5.00 and higher


  WMBH_FULLSCREEN     = WM_USER+230;	//   - 
  WMBH_SETONTOP       = WM_USER+231;	//        
  WMBH_FREEZE         = WM_USER+232;	//  -
  WMBH_SETONTOPVW     = WM_USER+233;	//       

  WMBH_TSSTART        = WM_USER+234;	//  
  WMBH_TSSTOP         = WM_USER+235;	//  
  WMBH_TSPAUSE        = WM_USER+236;	//  
  WMBH_TSCONTINUE     = WM_USER+237;	//  
  WMBH_TSFORWARD      = WM_USER+238;	//      (LParam =    ,  = 5000)
  WMBH_TSBACKWARD     = WM_USER+239;	//      (LParam =    ,  = 5000)

  WMBH_RESETVIDEO     = WM_USER+240;	//       
  WMBH_SETA2CHNL      = WM_USER+241;	//    TV  (A2 CH1/CH2  NICAM M1/M2  BTSC SAP)
  WMBH_SETSLEEP       = WM_USER+242;	//    

  WMBH_TELETEXT       = WM_USER+250;	//  -  
  WMBH_SURFING        = WM_USER+251;	//  -   
  WMBH_TVGUIDEC       = WM_USER+252;	//     OSD
  WMBH_TVGUIDEP       = WM_USER+253;	//     OSD
  WMBH_TVGUIDEN       = WM_USER+254;	//     OSD

  WMBH_RECV           = WM_USER+260;	//  - 
  WMBH_RECA           = WM_USER+262;	//  - 
  WMBH_RECSNAP        = WM_USER+263;	//   
  WMBH_RECSNAPM       = WM_USER+264;	//  -   
  WMBH_RECPAUSE       = WM_USER+265;	//  - 
  WMBH_RECLIMIT       = WM_USER+266;	//     

  WMBH_RECVSTART      = WM_USER+270;	//  
  WMBH_RECVSTOP       = WM_USER+271;	//  
  WMBH_RECASTART      = WM_USER+274;	//  
  WMBH_RECASTOP       = WM_USER+275;	//  
  WMBH_RECMULTISTART  = WM_USER+276;	//    
  WMBH_RECMULTISTOP   = WM_USER+277;	//    
  WMBH_RECPAUSEON     = WM_USER+278;	//   
  WMBH_RECPAUSEOFF    = WM_USER+279;	//   

  WMBH_SETVOLUME      = WM_USER+280;	//    (LParam = 0..65535)
  WMBH_GETVOLUME      = WM_USER+281;	//     ( SendMessage, Result = 0..65535)
  WMBH_SETMUTE        = WM_USER+282;	// /   (: LParam = 1, : LParam = 0)

// Compatible with version 4.80 and higher
  WMBH_SETMUTESAFE    = WM_USER+283;	// /   (: LParam = 1, : LParam = 0)
// Compatible with version 4.80 and higher

  WMBH_GETVERSION     = WM_USER+285;	//     ( SendMessage)

  WMBH_SLEEPWAKE      = WM_USER+290;	//      /   
  WMBH_EXIT           = WM_USER+291;	//   
  WMBH_SUSPEND        = WM_USER+292;	//  Windows   
  WMBH_HIBERNATE      = WM_USER+293;	//  Windows    ( )
  WMBH_SHUTDOWN       = WM_USER+294;	//  

// Compatible with version 5.10 and higher
  WMBH_SLEEP          = WM_USER+295;	// C    
  WMBH_WAKE           = WM_USER+296;	//       
// Compatible with version 5.10 and higher


var
  g_hBhWnd : HWND = 0;

implementation


////////////////////////////////////////////////////////////////////////////////
//  :
////////////////////////////////////////////////////////////////////////////////
//
//        -
//
//  g_hBhWnd := FindWindow('TMain', 'BeholdTV');
//  if (g_hBhWnd <> 0) then begin
//     ...
//  end;
//
//     -
//	PostMessage(g_hBhWnd, WM_BHCMD, WMBH_EXIT, 0);
//  
//	PostMessage(g_hBhWnd, WM_CLOSE, 0, 0);
//
//
//    -
//	PostMessage(g_hBhWnd, WM_BHCMD, WMBH_VOLUMEUP, 0);
//
//    -
//	PostMessage(g_hBhWnd, WM_BHCMD, WMBH_VOLUMEDOWN, 0);
//
//    -
//	PostMessage(g_hBhWnd, WM_BHCMD, WMBH_SELVOLMODE, 0);    //  
//	PostMessage(g_hBhWnd, WM_BHCMD, WMBH_VOLUMEUP, 0);      //  
//  
//    = 120
//	PostMessage(g_hBhWnd, WM_BHCMD, WMBH_SETBRITN, 120);
//
//   -  -
//	PostMessage(g_hBhWnd, WM_BHCMD, WMBH_MUTE, 0);
//
//    12   -
//	PostMessage(g_hBhWnd, WM_BHCMD, WMBH_CHNLN, 12);
//
//      -
//	PostMessage(g_hBhWnd, WM_BHCMD, WMBH_CHNLUP, 0);
//
//      -
//	PostMessage(g_hBhWnd, WM_BHCMD, WMBH_CHNLDOWN, 0);
//
//   /  -
//	PostMessage(g_hBhWnd, WM_BHCMD, WMBH_RECV, 0);
//  
//    -
//	PostMessage(g_hBhWnd, WM_BHCMD, WMBH_RECVSTART, 0);
//
//   -
//	PostMessage(g_hBhWnd, WM_BHCMD, WMBH_RECVSTOP, 0);
//
//      -
//  dwVer : DWORD;
//	dwVer := DWORD(SendMessage(g_hBhWnd, WM_BHCMD, WMBH_GETVERSION, 0));
//	if ( (HIWORD(dwVer) = 4) and (LOWORD(dwVer) = 58) ) then begin
//		//   4.58
//	end;
//
//      -
//  wVol : WORD;
//	wVol := WORD(SendMessage(g_hBhWnd, WM_BHCMD, WMBH_GETVOLUME, 0));
//
//
////////////////////////////////////////////////////////////////////////////////


end.
